/*
 * Class UTF_CONVERTER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_153 [] = {0xFF01,1781,152,0xFFFF};
static const EIF_TYPE_INDEX egt_2_153 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_153 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_153 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_153 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_6_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_7_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_8_153 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_9_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_12_153 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_153 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_15_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_153 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_19_153 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_20_153 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_21_153 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_22_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_25_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_27_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_28_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_29_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_30_153 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_31_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_32_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_33_153 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_34_153 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_35_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_36_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_37_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_38_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_39_153 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_40_153 [] = {0xFF01,454,0xFFFF};


static const struct desc_info desc_153[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_153), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_153), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0131 /*152*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_153), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_153), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0131 /*152*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0131 /*152*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_153), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_153), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_153), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_153), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_153), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0131 /*152*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0131 /*152*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 3881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_153), 3890, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3891, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_153), 3892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_153), 3895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3898, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_153), 3899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_153), 3900, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_153), 3901, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3902, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_153), 3903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3904, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_153), 3905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3906, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_153), 3907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3908, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_153), 3909, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_153), 3910, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_153), 3911, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_153), 3912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3914, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3915, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3916, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_153), 3917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_153), 3920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_153), 3922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3923, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_153), 3924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_153), 3926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3927, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_153), 3928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3929, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_153), 3930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3931, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_153), 3932, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_153), 3934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3935, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_153), 3936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3937, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_153), 3938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3939, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_153), 3940, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_153), 3941, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_153), 3942, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_153), 3943, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_153), 3944, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_153), 3945, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_153), 3946, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3948, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 3949, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_153), 3880, 0xFFFFFFFF},
};
void Init153(void)
{
	IDSC(desc_153, 0, 152);
	IDSC(desc_153 + 1, 1, 152);
	IDSC(desc_153 + 32, 163, 152);
}


#ifdef __cplusplus
}
#endif
